Bug Hunting Session
Bug 99550 - Sentence and toggle cases are not on the list of style's font effects in Writer
Summary: Sentence and toggle cases are not on the list of style's font effects in Writer
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-28 12:03 UTC by Sergey Nemna
Modified: 2018-11-08 15:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison of lists for menu and style properties (103.13 KB, image/png)
2016-04-28 12:03 UTC, Sergey Nemna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Nemna 2016-04-28 12:03:30 UTC
Created attachment 124695 [details]
Comparison of lists for menu and style properties

Compare the list of  items:
Format / Text / Change case

and the list of drop-down items:
Styles / Edit style / Font effects / Effects.

I attached screenshot with both lists side-by-side opened in two Writer's instances. It is easy to see that some of items do not have counterparts. My guess it to have been overlooked (so I decided to file it as a bug). I wonder if the «Small capitals» item was not included in the list on the left intentionally though.

Apart from that the same items have different names (and ordered differently) on the left and on the right. Would it be a good idea to use identical names as well as the same order of items?

Best regards,
Sergey Nemna
Comment 1 Sergey Nemna 2016-04-28 12:14:42 UTC
The drop-down list of font effects for character styles looks exactly the same as for paragraph styles.
Comment 2 Maxim Monastirsky 2016-04-28 12:52:46 UTC
They are not the same. The items in Format>Text>Change Case change the actual text, while "Font effects" only change the appearance, but the underlying text stays the same. Try both with Format>Clear Direct Formatting, or by copy-paste to another text editor.
Comment 3 V Stuart Foote 2016-04-28 12:59:35 UTC
The Paragraph and Character dialogs are different .UI constructs than the Format -> Text -> Change case menus (the dialogs evolved from older .src handling, the menus are more "dynamic"). They also assert differently on the selected text.

Specific .uno commands must exist to implement a button action on the menus. Don't know if one has been created for "Small caps" effect.

Not sure that adding the actions for sentence case and toggle case to either dialog makes sense--the Direct Formatting vs. Style context issues.

However--the *labeling* probably should be consistent between menus and dialogs--and the correct linkages made for Pootle i10n needs.

@UX thoughts on priority of adjusting this?
Comment 4 Maxim Monastirsky 2016-04-28 13:59:04 UTC
(In reply to V Stuart Foote from comment #3)
> Don't know if one has been created for "Small caps" effect.
Not that I'm aware of. It's requested in Bug 87914 and Bug 38604.

> Not sure that adding the actions for sentence case and toggle case to either
> dialog makes sense--the Direct Formatting vs. Style context issues.
Not sure I understand. Sentence case and toggle case currently _change_ the actual text. They are not "effects" - unlike the items from the dialog. And if they were effects - they could be applied for both direct formatting and via styles.

> However--the *labeling* probably should be consistent between menus and
> dialogs
I disagree. Same labeling would make users think that they do the same thing, while they don't. We can introduce _new_ command that correspond to the dialog items, and give them same labels as in the dialog. But _renaming_ the current items is a very bad idea IMHO.
Comment 5 Yousuf Philips (jay) (retired) 2016-04-28 15:12:04 UTC
(In reply to V Stuart Foote from comment #3)
> Not sure that adding the actions for sentence case and toggle case to either
> dialog makes sense--the Direct Formatting vs. Style context issues.

If sentence case and toggle case are something supported in the ODF and OOXML formats and in other office suites, then it would be useful to have it as part of a character style.

> However--the *labeling* probably should be consistent between menus and
> dialogs--and the correct linkages made for Pootle i10n needs.

I think we can use upper case, lower case, and title case in both places and change the 'Effects:' label in the dialog to 'Capitalization:' and 'Relief:' to 'Effects:'.

(In reply to Maxim Monastirsky from comment #4)
> I disagree. Same labeling would make users think that they do the same
> thing, while they don't. We can introduce _new_ command that correspond to
> the dialog items, and give them same labels as in the dialog. But _renaming_
> the current items is a very bad idea IMHO.

We already have 'lowercase' in the menu and 'Lowercase' in the dialog, so 1 of the 3 is already the same and 'Capitalize Every Word' isnt a good label. I would assume that most users want the non-font effect version of these commands to actually modify the underlying text, so dont think dialog corresponding commands are needed.
Comment 6 Cor Nouws 2018-11-07 17:01:05 UTC
My understanding is the same as Maxim's.
IT doesn't make sense to compare the menu and the dialog. It are different things. For me, a WFM
Comment 7 Heiko Tietze 2018-11-08 15:25:03 UTC
There are some concerns to make the two lists more similar. Plus, setting a character style (e.g. upper case) cannot be overriden with the toggle case method. Putting all together it's a WF.